 'use strict';
  function Preload() {
    this.asset = null;
    this.ready = false;
  }

  Preload.prototype = {
    preload: function() {
      this.load.onLoadComplete.addOnce(this.onLoadComplete, this);
      this.asset = this.add.sprite(this.width/2,this.height/2, 'preloader');
      this.asset.anchor.setTo(0.5, 0.5);      
      this.load.setPreloadSprite(this.asset);


      this.game.load.image('logo', 'assets/logo.png');
      this.game.load.image('instructions', 'assets/instructions.png');
      this.game.load.image('gameover', 'assets/gameover.png');
      this.game.load.image('scoreboard', 'assets/scoreboard.png');
      this.game.load.image('restart', 'assets/restart.png');
      this.game.load.tilemap('track', 'assets/tiles.json', null, Phaser.Tilemap.TILED_JSON);
      this.game.load.image('tiles', 'assets/tiles.png');
      this.game.load.image('car', 'assets/car.png');
      this.game.load.image('particle', 'assets/particle.png');
      this.game.load.bitmapFont('font', 'assets/font.png', 'assets/font.xml');
      

    },
    create: function() {
      this.asset.cropEnabled = false;
    },
    update: function() {
      if(!!this.ready) {
        this.game.state.start('menu');
      }
    },
    onLoadComplete: function() {
      this.ready = true;
    }
  };